Class | Fog::Compute::GoGrid::Real
In: | lib/fog/go_grid/compute.rb lib/fog/go_grid/requests/compute/grid_server_power.rb lib/fog/go_grid/requests/compute/grid_server_delete.rb lib/fog/go_grid/requests/compute/grid_ip_list.rb lib/fog/go_grid/requests/compute/support_password_list.rb lib/fog/go_grid/requests/compute/grid_loadbalancer_list.rb lib/fog/go_grid/requests/compute/grid_image_list.rb lib/fog/go_grid/requests/compute/grid_server_add.rb lib/fog/go_grid/requests/compute/grid_server_get.rb lib/fog/go_grid/requests/compute/grid_image_get.rb lib/fog/go_grid/requests/compute/support_password_get.rb lib/fog/go_grid/requests/compute/grid_server_list.rb lib/fog/go_grid/requests/compute/common_lookup_list.rb
Parent: | Object

### Methods

common_lookup_list grid_image_get grid_image_list grid_ip_list grid_loadbalancer_list grid_server_add grid_server_delete grid_server_get grid_server_list grid_server_power new reload request support_password_get support_password_list

### Public Class methods

new(options={})

### Public Instance methods

common_lookup_list(lookup, options={})

List options and lookups

#### Parameters

- ‘lookup’<~String> - the lookup to be listed
- options<~Hash>:
  - ‘sort’<~String> - column to sort result by in [‘description’, ‘id’, ‘name’]
  - ‘asc’<~String> - order to sort in [‘true’,’false’]

#### Returns

- response<~Excon::Response>:
  - body<~Array>:

TODO: docs

grid_image_get(options={})

List images

#### Parameters

- options<~Hash>:
  - ‘id’<~String> - ID of the image
  - ‘name’<~String> - Name of the image
  - ‘image’<~String> - ID(s) or Name(s) of the images to retrive. Can be speicifed multiple times

#### Returns

- response<~Excon::Response>:
  - body<~Array>:

TODO: docs

grid_image_list(options={})

List images

#### Parameters

- options<~Hash>:
  - ‘datacenter’<~String> - datacenter to limit results to
  - ‘isPublic’<~String> - If true only returns public images, in [‘false’, ‘true’]
  - ‘num_items’<~Integer> - Number of items to return
  - ‘page’<~Integer> - Page index for paginated results
  - ‘state’<~String> - state to limit results to, in [‘Saving’, ‘Available’]
  - ‘type’<~String> - image type to limit results to

#### Returns

- response<~Excon::Response>:
  - body<~Array>:

TODO: docs

grid_ip_list(options={})

List ips

#### Parameters

- options<~Hash>:
  - ‘datacenter’<~String> - datacenter to limit results to
  - ‘ip.state’<~String> - state to limit results to in ip.state
  - ‘ip.type’<~String> - type to limit results to in ip.type
  - ‘num_items’<~Integer> - Number of items to return
  - ‘page’<~Integer> - Page index for paginated results

#### Returns

- response<~Excon::Response>:
  - body<~Array>:

TODO: docs

grid_loadbalancer_list(options={})

List load balancers

#### Parameters

- options<~Hash>:
  - ‘datacenter’<~String> - datacenter to limit results to
  - ‘num_items’<~Integer> - Number of items to return
  - ‘page’<~Integer> - Page index for paginated results

#### Returns

- response<~Excon::Response>:
  - body<~Array>:

TODO: docs

grid_server_add(image, ip, name, server_ram, options={})

Create a new server

#### Parameters

- ‘name’<~String> - name of the server, 20 or fewer characters
- ‘image’<~String> - image to use, in grid_image_list
- ‘ip’<~String> - initial public ip for this server
- ‘options’<~Hash>:
  - ‘server.ram’<~String> - flavor to use, in common_lookup_list(‘server.ram’)
  - ‘description’<~String> - description of this server
  - ‘isSandbox’<~String> - treat this server as image sandbox? in [‘true’, ‘false’]

#### Returns

- response<~Excon::Response>:
  - body<~Array>:

TODO: docs

grid_server_delete(server)

Delete a server

#### Parameters

- ‘server’<~String> - id or name of server to delete

#### Returns

- response<~Excon::Response>:
  - body<~Array>:

TODO: docs

grid_server_get(servers)

Get one or more servers by name

#### Parameters

- ‘server’<~String> - id or name of server(s) to lookup

#### Returns

- response<~Excon::Response>:
  - body<~Array>:

TODO: docs

grid_server_list(options={})

List servers

#### Parameters

- options<~Hash>:
  - ‘datacenter’<~String> - datacenter to limit results to
  - ‘isSandbox’<~String> - If true only returns Image Sandbox servers, in [‘false’, ‘true’]
  - ‘num_items’<~Integer> - Number of items to return
  - ‘page’<~Integer> - Page index for paginated results
  - ‘server.type’<~String> - server type to limit results to

#### Returns

- response<~Excon::Response>:
  - body<~Array>:

TODO: docs

grid_server_power(server, power)

Start, Stop or Restart a server

#### Parameters

- ‘server’<~String> - id or name of server to power
- ‘power’<~String> - power operation, in [‘restart’, ‘start’, ‘stop’]

#### Returns

- response<~Excon::Response>:
  - body<~Array>:

TODO: docs

reload()
request(params)
support_password_get(id, options={})

Get one or more passwords by id

#### Parameters

- options<~Hash>:
  - ‘id’<~String> - id of the password to retrieve

#### Returns

- response<~Excon::Response>:
  - body<~Array>:

TODO: docs

support_password_list(options={})

List passwords

#### Parameters

- options<~Hash>:
  - ‘datacenter’<~String> - datacenter to limit results to
  - ‘isSandbox’<~String> - If true only returns Image Sandbox servers, in [‘false’, ‘true’]
  - ‘num_items’<~Integer> - Number of items to return
  - ‘page’<~Integer> - Page index for paginated results
  - ‘server.type’<~String> - server type to limit results to

#### Returns

- response<~Excon::Response>:
  - body<~Array>:

TODO: docs

[Validate]